Skip to main content
PUT
/
v1
/
communication
/
phone-numbers
/
{phone_number_id}
/
channels
/
{channel_type}
Replace the full binding set for a channel on a phone number
curl --request PUT \
  --url https://api-sandbox.featherhq.com/v1/communication/phone-numbers/{phone_number_id}/channels/{channel_type} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "bindings": [
    {
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "team_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "phone_number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "team_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

x-api-key
string
header
required

Path Parameters

phone_number_id
string<uuid>
required
channel_type
string
required

Body

application/json
bindings
ChannelBinding · object[]

Desired set of bindings on this channel. Empty list drains the channel.

Response

Successful Response

id
string<uuid>
required
phone_number_id
string<uuid>
required
channel_type
enum<string>
required
Available options:
sms,
inbound_call,
outbound_call
created_at
string<date-time>
required
agent_id
string<uuid> | null
agent_revision_id
string<uuid> | null
team_id
string<uuid> | null
team_revision_id
string<uuid> | null